Ticket #44514

Qt6: "use of deleted function" in fc_client::update_load_page()

Open Date: 2022-05-05 15:12 Last Update: 2022-05-07 21:41

Reporter:
Owner:
Type:
Status:
Closed
Component:
MileStone:
Priority:
5 - Medium
Severity:
5 - Medium
Resolution:
Fixed
File:
1

Details

Building S3_1 on OpenEmbedded

--

../../../git/client/gui-qt/pages.cpp: In member function 'void fc_client::update_load_page()':
| ../../../git/client/gui-qt/pages.cpp:1409:18: error: use of deleted function 'QVariant::QVariant(T) [with T = char*; typename std::enable_if<disjunction_v<std::is_pointer<_Tp>, std::is_member_pointer<_Tp> >, bool>::type <anonymous> = false]'
| 1409 | item->setData(Qt::UserRole, pfile->fullname);
| In file included from /work/openembedded/x86/tmp-glibc/work/core2-32-oe-linux/freeciv/3.0.94.5-alpha2+-r0/recipe-sysroot/usr/include/QtGui/qaction.h:49,
| from /work/openembedded/x86/tmp-glibc/work/core2-32-oe-linux/freeciv/3.0.94.5-alpha2+-r0/recipe-sysroot/usr/include/QtGui/QAction:1,
| from ../../../git/client/gui-qt/pages.cpp:19:
| /work/openembedded/x86/tmp-glibc/work/core2-32-oe-linux/freeciv/3.0.94.5-alpha2+-r0/recipe-sysroot/usr/include/QtCore/qvariant.h:235:5: note: declared here
| 235 | QVariant(T) = delete;

Ticket History (3/5 Histories)

2022-05-05 15:12 Updated by: cazfi
  • New Ticket "Qt6: "use of deleted function" in fc_client::update_load_page()" created
2022-05-05 16:12 Updated by: cazfi
Comment

Reply To cazfi

Building S3_1 on OpenEmbedded

-> Qt6 6.4 development version
2022-05-06 03:21 Updated by: cazfi
  • Owner Update from (None) to cazfi
  • Resolution Update from None to Accepted
  • Milestone Update from (None) to 3.1.0
2022-05-07 21:41 Updated by: cazfi
  • Status Update from Open to Closed
  • Resolution Update from Accepted to Fixed

Attachment File List

Edit

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login